<template>
  <v-container fluid>
    <!-- Projects Overview -->
    <v-row>
      <v-col cols="12" md="6">
        <v-card>
          <v-card-title>Projects Overview</v-card-title>
          <v-card-text>
            <v-list-item-group>
              <v-list-item v-for="project in projects" :key="project.id">
                <v-list-item-content>
                  <v-list-item-title>{{ project.name }}</v-list-item-title>
                  <v-list-item-subtitle>Status: {{ project.status }}</v-list-item-subtitle>
                </v-list-item-content>
                <v-list-item-action>
                  <v-icon color="green">mdi-check-circle</v-icon>
                </v-list-item-action>
              </v-list-item>
            </v-list-item-group>
          </v-card-text>
        </v-card>
      </v-col>

      <!-- System Health -->
      <v-col cols="12" md="6">
        <v-card>
          <v-card-title>System Health</v-card-title>
          <v-card-text>
            <v-progress-circular :value="systemHealth" color="blue">{{ systemHealth }}%</v-progress-circular>
            <p>Last Checked: {{ lastHealthCheck }}</p>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>

    <!-- Docker Status -->
    <v-row>
      <v-col cols="12">
        <v-card>
          <v-card-title>Docker Status</v-card-title>
          <v-card-text>
            <v-simple-table>
              <template v-slot:default>
                <thead>
                  <tr>
                    <th class="text-left">Container</th>
                    <th class="text-left">Status</th>
                    <th class="text-left">Actions</th>
                  </tr>
                </thead>
                <tbody>
                  <tr v-for="container in dockerContainers" :key="container.id">
                    <td>{{ container.name }}</td>
                    <td>{{ container.status }}</td>
                    <td>
                      <v-btn icon>
                        <v-icon color="blue">mdi-play</v-icon>
                      </v-btn>
                      <v-btn icon>
                        <v-icon color="red">mdi-stop</v-icon>
                      </v-btn>
                    </td>
                  </tr>
                </tbody>
              </template>
            </v-simple-table>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>

    <!-- Git Activity -->
    <v-row>
      <v-col cols="12" md="6">
        <v-card>
          <v-card-title>Recent Git Activity</v-card-title>
          <v-card-text>
            <v-list dense>
              <v-list-item v-for="commit in recentCommits" :key="commit.id">
                <v-list-item-content>
                  <v-list-item-title>{{ commit.message }}</v-list-item-title>
                  <v-list-item-subtitle>{{ commit.author }} - {{ commit.date }}</v-list-item-subtitle>
                </v-list-item-content>
              </v-list-item>
            </v-list>
          </v-card-text>
        </v-card>
      </v-col>

      <!-- CI/CD Pipelines -->
      <v-col cols="12" md="6">
        <v-card>
          <v-card-title>CI/CD Pipeline Status</v-card-title>
          <v-card-text>
            <v-list-item-group>
              <v-list-item v-for="pipeline in ciCdPipelines" :key="pipeline.id">
                <v-list-item-content>
                  <v-list-item-title>{{ pipeline.name }}</v-list-item-title>
                  <v-list-item-subtitle>Status: {{ pipeline.status }}</v-list-item-subtitle>
                </v-list-item-content>
              </v-list-item>
            </v-list-item-group>
          </v-card-text>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  data() {
    return {
      projects: [], // Populate with actual project data
      systemHealth: 90, // Example value
      lastHealthCheck: 'A few seconds ago',
      dockerContainers: [], // Populate with actual Docker container data
      recentCommits: [], // Populate with actual Git commit data
      ciCdPipelines: [] // Populate with actual CI/CD pipeline data
    };
  },

  mounted() {
    // Fetch data from API
  }
};
</script>

<style scoped>
/* Custom styles */
</style>


























<template>
  <v-container>
    <v-row>
      <v-col cols="12" sm="6" md="4">
        <v-card>
          <v-card-title>Projects Overview</v-card-title>
          <v-card-text>
            <p>Total Projects: {{ projectCount }}</p>
            <p>Active Projects: {{ activeProjectCount }}</p>
            <!-- More project stats here -->
          </v-card-text>
        </v-card>
      </v-col>

      <v-col cols="12" sm="6" md="4">
        <v-card>
          <v-card-title>System Health</v-card-title>
          <v-card-text>
            <p>Status: {{ systemStatus }}</p>
            <!-- Additional system health info here -->
          </v-card-text>
        </v-card>
      </v-col>

      <!-- Additional columns/cards for other stats like Docker, Git, CI/CD, etc. -->

    </v-row>

    <!-- Additional rows for more detailed stats, recent activities, etc. -->

  </v-container>
</template>

<script>
export default {
  data() {
    return {
      projectCount: 10, // Example data, replace with actual dynamic data
      activeProjectCount: 7,
      systemStatus: 'Healthy'
      // Other data properties here
    };
  },

  // You might want to fetch actual data in mounted or created lifecycle hooks
  mounted() {
    // Fetch data from API
  }
};
</script>

<style scoped>
/* Add custom styles here */
</style>
